Summary:	Firmware burning and diagnostic tools for Mellanox HCA/NIC cards
Summary(pl.UTF-8):	Narzędzia modyfikujące firmware i diagnostyczne dla kart HCA/NIC Mellanox
Name:		mstflint
Version:	4.32.0
%define	upstream_ver	%{version}-1
Release:	1
License:	BSD or GPL v2
Group:		Networking/Utilities
Source0:	https://github.com/Mellanox/mstflint/releases/download/v%{upstream_ver}/%{name}-%{upstream_ver}.tar.gz
# Source0-md5:	35d7c512df1d7ef7f7a9d1deedba42b9
Patch1:		x32.patch
URL:		https://github.com/Mellanox/mstflint
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	libibmad-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	muparser-devel
BuildRequires:	openssl-devel >= 1.0.2k
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
# see common/compatibility.h
ExclusiveArch:	%{ix86} %{x8664} x32 %{arm} aarch64 e2k ia64 m68k hppa mips64 ppc ppc64 riscv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firmware burning and diagnostic tools for Mellanox HCA/NIC cards.

%description -l pl.UTF-8
Narzędzia modyfikujące firmware i diagnostyczne dla kart HCA/NIC
Mellanox.

%package devel
Summary:	Header files for Mellanox HCA/NIC cards access
Summary(pl.UTF-8):	Pliki nagłówkowe do dostępu do kart HCA/NIC Mellanox
Group:		Development/Libraries
# doesn't require base

%description devel
Header files for Mellanox HCA/NIC cards access.

%description devel -l pl.UTF-8
Pliki nagłówkowe do dostępu do kart HCA/NIC Mellanox.

%prep
%setup -q
%patch -P1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-adb-generic-tools \
	--enable-cs \
	--enable-fw-mgr \
	--enable-xml2 \
	--enable-openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%dir %{_sysconfdir}/mstflint
%{_sysconfdir}/mstflint/ca-bundle.crt
%attr(755,root,root) %{_bindir}/mstarchive
%attr(755,root,root) %{_bindir}/mstconfig
%attr(755,root,root) %{_bindir}/mstcongestion
%attr(755,root,root) %{_bindir}/mstdevices_info
%attr(755,root,root) %{_bindir}/mstflint
%attr(755,root,root) %{_bindir}/mstfwctrl
%attr(755,root,root) %{_bindir}/mstfwmanager
%attr(755,root,root) %{_bindir}/mstfwreset
%attr(755,root,root) %{_bindir}/mstfwtrace
%attr(755,root,root) %{_bindir}/mstlink
%attr(755,root,root) %{_bindir}/mstmcra
%attr(755,root,root) %{_bindir}/mstmget_temp
%attr(755,root,root) %{_bindir}/mstmread
%attr(755,root,root) %{_bindir}/mstmtserver
%attr(755,root,root) %{_bindir}/mstmwrite
%attr(755,root,root) %{_bindir}/mstprivhost
%attr(755,root,root) %{_bindir}/mstreg
%attr(755,root,root) %{_bindir}/mstregdump
%attr(755,root,root) %{_bindir}/mstresourcedump
%attr(755,root,root) %{_bindir}/mstresourceparse
%attr(755,root,root) %{_bindir}/msttokengenerator
%attr(755,root,root) %{_bindir}/mstvpd
%dir %{_libdir}/mstflint
%dir %{_libdir}/mstflint/python_tools
%attr(755,root,root) %{_libdir}/mstflint/python_tools/c_dev_mgt.so
%attr(755,root,root) %{_libdir}/mstflint/python_tools/ccmdif.so
%attr(755,root,root) %{_libdir}/mstflint/python_tools/cmtcr.so
%attr(755,root,root) %{_libdir}/mstflint/python_tools/rreg_access.so
%{_libdir}/mstflint/python_tools/*.py
%{_libdir}/mstflint/python_tools/mlxpci
%{_libdir}/mstflint/python_tools/mstfwreset
%{_libdir}/mstflint/python_tools/mstfwtrace
%{_libdir}/mstflint/python_tools/mstprivhost
%{_libdir}/mstflint/python_tools/resourcetools
%dir %{_libdir}/mstflint/sdk
%attr(755,root,root) %{_libdir}/mstflint/sdk/libresource_dump_sdk.so
%{_datadir}/mstflint
%{_mandir}/man1/mstarchive.1*
%{_mandir}/man1/mstconfig.1*
%{_mandir}/man1/mstcongestion.1*
%{_mandir}/man1/mstflint.1*
%{_mandir}/man1/mstfwmanager.1*
%{_mandir}/man1/mstfwreset.1*
%{_mandir}/man1/mstfwtrace.1*
%{_mandir}/man1/mstlink.1*
%{_mandir}/man1/mstmcra.1*
%{_mandir}/man1/mstmread.1*
%{_mandir}/man1/mstmtserver.1*
%{_mandir}/man1/mstmwrite.1*
%{_mandir}/man1/mstprivhost.1*
%{_mandir}/man1/mstreg.1*
%{_mandir}/man1/mstregdump.1*
%{_mandir}/man1/mstresourcedump.1*
%{_mandir}/man1/mstvpd.1*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libmtcr_ul.a
%dir %{_libdir}/mstflint
%{_libdir}/mstflint/libmtcr_ul.a
%{_includedir}/mstflint
%changelog
* Thu May 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mstflint.git;a=log;h=master

* Thu May 15 2025 Jakub Bogusz <qboosh@pld-linux.org> 7d11047
- updated to 4.32.0-1

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> b9809df
- added fixes for missing function prototypes

* Sun Apr 20 2025 Jakub Bogusz <qboosh@pld-linux.org> 8b72368
- updated to 4.31.0[-1]

* Sun Apr 20 2025 Jakub Bogusz <qboosh@pld-linux.org> 6b72430
- use patch -P

* Tue Oct 05 2021 Jan Rękorajski <baggins@pld-linux.org> de0746b
- disable Werror due to gcc 11 deprecation warnings, rel 3

* Wed Oct 31 2018 Jan Rękorajski <baggins@pld-linux.org> b6f381d
- own sysconfdir
- rel 2

* Wed Oct 31 2018 Jan Rękorajski <baggins@pld-linux.org> c127f42
- fix build on x32

* Wed Oct 31 2018 Jan Rękorajski <baggins@pld-linux.org> 4cccf41
- up to 4.10.0-3

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bb73b61
- release 3 (by relup.sh)

* Sun Jun 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 2ee6f1c
- added types patch (fixes x32 build)
- release 2

* Sun Jun 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 9823007
- updated to 4.4.0
- removed obsolete format patch

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 1b5ab1f
- updated to 3.5.0
- added format patch (fixes build with -Werror=format-security)

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> fe21caf
- new

